Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665962 - net-dialup/freeradius: Validate DEPEND on virtual/mysql
Summary: net-dialup/freeradius: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:33 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:33:04 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Geaaru 2018-10-13 21:53:29 UTC
As shared on ml I will take care of freeradius package. I wil try to fix this in the next weeks.

Thanks
G.
Comment 2 Larry the Git Cow gentoo-dev 2018-10-30 08:55:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dccc0234acaa189a4c9cf6000dc20998afa4bd09

commit dccc0234acaa189a4c9cf6000dc20998afa4bd09
Author:     Daniele Rondina <geaaru@gmail.com>
AuthorDate: 2018-10-21 06:57:59 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-10-30 08:41:44 +0000

    net-dialup/freeradius: Drop virtual/mysql from DEPEND
    
    Bug: https://bugs.gentoo.org/665962
    Closes: https://bugs.gentoo.org/665962
    Signed-off-by: Daniele Rondina <geaaru@gmail.com>
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 net-dialup/freeradius/freeradius-3.0.15.ebuild | 2 +-
 net-dialup/freeradius/freeradius-3.0.17.ebuild | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dccc0234acaa189a4c9cf6000dc20998afa4bd09

commit dccc0234acaa189a4c9cf6000dc20998afa4bd09
Author:     Daniele Rondina <geaaru@gmail.com>
AuthorDate: 2018-10-21 06:57:59 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-10-30 08:41:44 +0000

    net-dialup/freeradius: Drop virtual/mysql from DEPEND
    
    Bug: https://bugs.gentoo.org/665962
    Closes: https://bugs.gentoo.org/665962
    Signed-off-by: Daniele Rondina <geaaru@gmail.com>
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 net-dialup/freeradius/freeradius-3.0.15.ebuild | 2 +-
 net-dialup/freeradius/freeradius-3.0.17.ebuild | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)